﻿
.select-options { }

.select-options .header { display: flex; flex-direction: row; justify-content: space-between; align-items: center; }

.select-options .btn-clear-options:not(.btn-2024) {
	background-color: #bed400;
	border: 1px solid #bed400;
	color: #000000;
	padding: 10px 20px;
	cursor: pointer;
	flex-shrink: 0;
	font-size: 14px;
}
.select-options .btn-clear-options:not(.btn-2024):hover {
	background-color: transparent;
}

.select-options .select-option {
	display: flex;
	flex-direction: row;
	align-items: center;
	text-align: left;
	padding: 6px 10px;
	width: 100%;
	background-color: #DAE4D9;
	font-size: 14px;
	margin: 2px 0 0 0;
}

.select-options .select-option.select-all {
	background-color: transparent;
}

.select-options .select-option:before {
	content: "";
	display: inline-block;
	width: 12px;
	height: 12px;
	border: 1px solid #31574E;
	margin-right: 10px;
	background-size: 10px;
	background-position: center;
	background-repeat: no-repeat;
	flex-shrink: 0;
}

.select-options .btn-expand-group { display: flex; flex-direction: row; align-items: center; padding: 10px 50px 10px 14px; background-color: #31574e; border: 1px solid #31574e; width: 100%; color: #ffffff; text-align: left; font-size: 18px; background-image: url("/_assets/icon-plus-white.png"); background-size: 20px 20px; background-position: calc(100% - 14px) center; background-repeat: no-repeat; }
.select-options .btn-expand-group.expanded { background-image: url("/_assets/icon-minus-white.png"); }

.select-options .btn-expand-group span { margin-left: 20px; font-size: 80%; color: var(--hl-light-green); }

.select-options .option-group-options { display: none; }
.select-options .option-group-options.expanded { display: block; }

.select-options .select-option.checked:not(.select-all) { background-color: #73948A; color: #ffffff; }


.select-options .select-option.select-all.checked:before { background-image: url("/_assets/icon-tick-black.png"); }
.select-options .select-option.checked:not(.select-all):before  { background-image: url("/_assets/icon-tick-white.png"); }

.select-options .columns { display: flex; flex-direction: row; gap: 0px; gap: 20px; }


.select-options .columns .column { display: flex; flex-direction: column; }
.select-options.grouped-options .columns .column { gap: 20px; }

.select-options .columns .column { flex-basis: 50%; }

.select-options .columns[data-column-count='1'] { flex-basis: 100%; }
.select-options .columns[data-column-count='3'] { flex-basis: 33%; }

body.c2024 .select-options .btn-clear-options:not(.btn-2024) {
   background-color: var(--hl-light-green);
	border-color: var(--hl-light-green);
	color: var(--hlc-midnight-blue);
}

body.c2024 .select-options .btn-clear-options:not(.btn-2024):hover { 
	background-color: #ffffff;
}

body.c2024 .select-options {
	padding: 20px 25px 25px 25px;
	background-color: var(--hl-light-taupe);
}

body.c2024 .select-options h3 {
	font-family: var(--hlc-gt-ultra);
	font-weight: 300;
	color: var(--hlc-midnight-blue);
}

body.c2024 .select-options .select-option { 
	font-family: var(--hlc-gt-ultra);
	font-weight: 400;
	font-size: 14px;
	color: var(--hlc-midnight-blue);
}

body.c2024 .select-options .select-option:before { 
	border-color: var(--hlc-midnight-blue);
}

body.c2024 .select-options .select-option:not(.select-all) {
	background-color: var(--hl-taupe);
}

body.c2024 .select-options .select-option.checked:not(.select-all) {
	background-color: var(--hl-taupe-shade-1);
	color: var(--hlc-midnight-blue);
}

body.c2024 .select-options .select-option.checked:before { 
	background-image: url("/_assets/icon-tick-hl-dark-green.png");
}

@media (max-width: 600px) {
	.select-options .columns { flex-direction: column; gap: 0; }

   .select-options .option-groups .columns { gap: 20px; }
}

@media (max-width: 540px) {
   .select-options .header { flex-direction: column; align-items: start; gap: 10px; }
   .select-options .header .btn-clear-options { align-self: end; }
}